#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 structured
version:              0.1
visibility:           public
id:                   structured-0.1-ICxXMyMAoaeAbyEN6QNZoo
key:                  structured-0.1-ICxXMyMAoaeAbyEN6QNZoo
license:              BSD-3-Clause
maintainer:           Oleg Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
synopsis:             Structure (hash) of your data types
description:
    Calculate the hash of a data structure.
    It can be used as a magic number for the serialization formats.
    See <https://hackage.haskell.org/package/binary-tagged binary-tagged>
    for a @binary@ bindings.

category:             Data
abi:                  c998b67a19d78e90b5171f19f830f819
exposed:              True
exposed-modules:      Data.Structured Data.Structured.Internal
hidden-modules:       Data.Structured.MD5
import-dirs:          /usr/lib/ghc-8.10.2/site-local/structured-0.1
library-dirs:         /usr/lib/ghc-8.10.2/site-local/structured-0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/structured-0.1
hs-libraries:         HSstructured-0.1-ICxXMyMAoaeAbyEN6QNZoo
depends:
    aeson-1.5.4.0-FhBZDiEN0KrGTSW2AlZ5Kj array-0.5.4.0 base-4.14.1.0
    base16-bytestring-0.1.1.7-7MnoTKrQfBC3WeMx0LqUK0 binary-0.8.8.0
    bytestring-0.10.10.0 containers-0.6.2.1
    hashable-1.3.0.0-B8ECnPmIwukCF0VUFUS7Nf
    scientific-0.3.6.2-FCAJvJqNtgPwkho5i9faH
    tagged-0.8.6-6ynGuqiqWewDmeFAuVgKQe text-1.2.3.2
    time-compat-1.9.3-2Z5fpWTFw6qDsf3LtlpC6h transformers-0.5.6.2
    unordered-containers-0.2.12.0-FtX5RkAZb9w53Z0cPV7UMP
    uuid-types-1.0.3-DZ7aAYbkcbjfU7tCHmjyO
    vector-0.12.1.2-LSJQcQOi3oBDTHyR50MRW6

haddock-interfaces:   /usr/share/doc/haskell-structured/html/structured.haddock
haddock-html:         /usr/share/doc/haskell-structured/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

